#ifndef	_INET_H
#define	_INET_H

/*
 * inet.h
 */

#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>

#ifdef	WIN32
# include <winsock.h>
# define bzero(addr, size)	memset(addr, 0, size)
typedef int socklen_t;
#else
# ifdef	_LINUX_
# include <sys/socket.h>
# include <netinet/in.h>
# include <arpa/inet.h>
# include <netdb.h>

typedef int SOCKET;
# define closesocket(s)	close(s)
# define INVALID_SOCKET -1
# endif
#endif

#define	VERSION		"v0.99"

#define	SERV_PORT	10202
#define	SERV_ADDR	"127.0.0.1"
#define	SERV_COM	3

#define MAXLINE		1024
#define MAXMESG		128

#define myerror(num, str) { fprintf(stderr, "%s (%d)\n", str, errno); SocketEnd(); exit(num); }

#define	THERMOID	"Th"

#define	ACTION_GET	1
#define	ACTION_MEAN	2

typedef struct {
	char Id[4];
	unsigned char Action;
	unsigned char first;
	unsigned char last;
} ThermoRequest;

typedef struct {
	char result;
	char pad;
	short vals[N_THERM];
	char status[N_THERM];
	char msg[MAXMESG];
} ThermoReply;

#endif

